import {Widget} from "src/classLibrary/Dashboard/Dashboard";
import {Layout} from "src/classLibrary/Dashboard/WidgetStore";

/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export interface DashboardRequest {
    dashboardData: { [s: string]: Widget };
    dashboard: Layout[];
}

export class UpdateProjectRequest {
    public name: string;

    public description: string;

    public image: string;

    public dashboard?: DashboardRequest[]

    constructor(name: string, description: string, image: string, dashboard: DashboardRequest[]) {
        this.name = name;
        this.description = description;
        this.image = image;
        this.dashboard = dashboard;
    }


}
